%define	ver	1.0.2
%define rel	1mdk

Summary:	A tool for determining versions of installed GNOME packages
Name:		gnome-pkgview
Version:	%{ver}
Release:	%{rel}
License:	GPL
Group:		Graphical desktop/GNOME
URL:		http://www.gtnorthern.demon.co.uk/gnome-pkgview.html
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

# http://www.gtnorthern.demon.co.uk/packages/gnome-pkgview/
Source:		%{name}-%{version}.tar.bz2

BuildRequires:	GConf2
BuildRequires:	ImageMagick
BuildRequires:	libgnomeui2-devel
Requires:	gnome-desktop
Prereq:		GConf2 >= 2.3.3

%description
Displays version information for GNOME desktop components, and determines
the overall desktop version from the gnome-version.xml file, which is
part of gnome-desktop package.

%prep
%setup -q

%build
%configure2_5x
%make

%install
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << _EOF_ > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 needs="x11" \
 section="Configuration/Packaging" \
 title="GNOME Package Viewer" \
 longtitle="Retrieve information about installed GNOME desktop libraries" \
 icon="%{name}.png" \
 startup_notify="true"
_EOF_

# icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_miconsdir}
install -m 0644 -D      pixmaps/pkgview.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/pkgview.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 pixmaps/pkgview.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%{find_lang} %{name}

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-pkgview.schemas >/dev/null
%{update_menus}

%preun
if [ $1 = 0 ]; then
  GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnome-pkgview.schemas >/dev/null
fi

%postun
%{clean_menus}

%clean
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README MAINTAINERS
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_menudir}/%{name}
%{_sysconfdir}/gconf/schemas/*.schemas
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Aug 25 2003 Abel Cheung <deaddog@deaddog.org> 1.0.2-1mdk
- 1.0.2
- Use imagemagick to convert icon

* Fri Feb 21 2003 Abel Cheung <deaddog@deaddog.org> 1.0.0-1mdk
- 1.0.0

* Thu Dec 26 2002 Abel Cheung <deaddog@deaddog.org> 0.0.8-1mdk
- First Mandrake spec, based on spec in tarball
